Affiliates
Update affiliate link
Developer API operation for PATCH /dev/v1/affiliates/links/.
PATCH
/
dev
/
v1
/
affiliates
/
links
/
{id}
Update affiliate link
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/affiliates/links/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"label": "<string>",
"affiliate_revenue_percent_override": 123,
"affiliate_customer_discount_percent_override": 123,
"is_active": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
label: '<string>',
affiliate_revenue_percent_override: 123,
affiliate_customer_discount_percent_override: 123,
is_active: true
})
};
fetch('https://api.shoppex.io/dev/v1/affiliates/links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/affiliates/links/{id}"
payload = {
"code": "<string>",
"label": "<string>",
"affiliate_revenue_percent_override": 123,
"affiliate_customer_discount_percent_override": 123,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/affiliates/links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'label' => '<string>',
'affiliate_revenue_percent_override' => 123,
'affiliate_customer_discount_percent_override' => 123,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/affiliates/links/{id}"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"label\": \"<string>\",\n \"affiliate_revenue_percent_override\": 123,\n \"affiliate_customer_discount_percent_override\": 123,\n \"is_active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}Authorizations
Use your Shoppex API key in the Authorization header.
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
200 - application/json
Successful response
Previous
Create affiliate link primaryDeveloper API operation for POST /dev/v1/affiliates/links/{id}/primary.
Next
⌘I
Update affiliate link
